# List refunds Lists Refund objects. You can use the query parameters to filter, expand, and sort the returned results. Endpoint: GET /object-query/refunds Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Idempotency-Key` (string) Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident. - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Query parameters: - `pageSize` (integer) The maximum number of results to return in a single page. If the specified pageSize is less than 1 or greater than 99, Zuora will return a 400 error. - `cursor` (string) A cursor for use in pagination. A cursor defines the starting place in a list. For instance, if you make a list request and receive 100 objects, ending with next_page=W3sib3JkZXJ=, your subsequent call can include cursor=W3sib3JkZXJ= in order to fetch the next page of the list. - `sort[]` (array) A case-insensitive query parameter that specifies the sort order of the list, which can be either ascending (e.g. accountnumber.ASC) or descending (e.g. accountnumber.DESC). You cannot sort on properties in arrays. If the array-type properties are specified for the sort[] parameter, they are ignored. Supported sortable fields: - id - updateddate - accountid - paymentmethodsnapshotid - amount - paymentmethodid - reasoncode - refunddate - refundnumber - sourcetype - status - type - `expand[]` (array) Allows you to expand responses by including related object information in a single call. Enum: "account", "account.billto", "account.soldto", "paymentmethod", "refundapplications", "refundapplications.payment", "refundapplications.refundapplicationitems" - `filter[]` (array) A case-insensitive filter on the list. Supported filterable fields: - id - updateddate - accountid - paymentmethodsnapshotid - amount - paymentmethodid - reasoncode - refunddate - refundnumber - sourcetype - status - type - {indexedcustomfield}: Use the format like customField__c to filter on custom fields. - `fields[]` (array) A case-insensitive query parameter that allows you to specify which fields are returned in the response. Example: "id,createddate" - `includeNullFields` (boolean) Specifies whether to include fields with the null value in the response. - If set to true, all fields will be returned in the response, including those with the null value. - If set to false, only fields with non-null values will be returned. ## Response 200 fields (application/json): - `nextPage` (string,null) A string that can be used as the cursor value to retrieve the next page of the response if it exists; otherwise absent. - `data` (array) - `data.id` (string) The unique identifier of the refund. - `data.createdById` (string) The unique identifier of the user who created the refund. - `data.createdDate` (string) The date and time when the refund was created. - `data.updatedById` (string) The unique identifier of the user who last updated the refund. - `data.updatedDate` (string) The date and time when the refund was last updated. - `data.accountId` (string) The ID of the account associated with this refund. Zuora associates the refund automatically with the account from the associated payment or credit memo. - `data.amount` (number) The total amount of the refund. - `data.cancelledOn` (string) The date and time when the refund was cancelled, in yyyy-mm-dd hh:mm:ss format. - `data.comment` (string,null) Comments about the refund. - `data.paymentMethodSnapshotId` (string) The unique ID of the payment method snapshot which is a copy of the particular payment method used in a transaction. - `data.accountingCode` (string) The accounting code that maps to this refund transaction in your accounting system. - `data.currency` (string) The currency of the refund. - `data.gatewayReconciliationReason` (string) The reason of gateway reconciliation. - `data.gatewayReconciliationStatus` (string) The status of gateway reconciliation. - `data.gatewayResponse` (string) The message returned from the payment gateway for the refund. This message is gateway-dependent. - `data.gatewayResponseCode` (string) The code returned from the payment gateway for the refund. This code is gateway-dependent. - `data.gatewayState` (string) The status of the refund in the gateway. Enum: "MarkedForSubmission", "Submitted", "Settled", "NotSubmitted", "FailedToSettle" - `data.markedForSubmissionOn` (string) The date and time when a refund was marked and waiting for batch submission to the payment process, in yyyy-mm-dd hh:mm:ss format. - `data.methodType` (string) How an external refund was issued to a customer. Enum: "ACH", "Cash", "Check", "CreditCard", "PayPal", "WireTransfer", "DebitCard", "CreditCardReferenceTransaction", "BankTransfer", "Other" - `data.paymentMethodId` (string) The unique ID of the payment method that the customer used to make the refund. - `data.payoutId` (string) The payout ID of the refund from the gateway side. - `data.reasonCode` (string) A code identifying the reason for the transaction. - `data.refundNumber` (string) The number of the refund. - `data.referenceID` (string) The transaction ID returned by the payment gateway for an electronic refund. Use this field to reconcile refunds between your gateway and Zuora Payments. - `data.refundDate` (string) The date when the refund takes effect, in yyyy-mm-dd format. For example, 2017-03-01. - `data.refundTransactionTime` (string) The date and time when the refund was issued, in yyyy-mm-dd hh:mm:ss format. - `data.sourceType` (string) Specifies whether the refund is a refund payment or a credit balance. Enum: "Payment", "CreditBalance", "CreditMemo" - `data.secondRefundReferenceId` (string) The transaction ID returned by the payment gateway if there is an additional transaction for the refund. Use this field to reconcile payments between your gateway and Zuora Payments. - `data.settledOn` (string) The date and time when the refund was settled in the payment processor, in yyyy-mm-dd hh:mm:ss format. This field is used by the Spectrum gateway only and not applicable to other gateways. - `data.softDescriptor` (string) A payment gateway-specific field that maps Zuora to other gateways. - `data.softDescriptorPhone` (string) A payment gateway-specific field that maps Zuora to other gateways. - `data.status` (string) The status of the refund. Enum: "Processed", "Canceled", "Error", "Processing" - `data.submittedOn` (string) The date and time when the refund was submitted, in yyyy-mm-dd hh:mm:ss format. - `data.transferredToAccounting` (string) Whether the refund was transferred to an external accounting system. Use this field for integration with accounting systems, such as NetSuite. Enum: "Processing", "Yes", "No", "Error", "Ignore" - `data.type` (string) The type of the refund. Enum: "External", "Electronic" - `data.associatedTransactionNumber` (string) The number of the associated transactions, such as payments. - `data.gateway` (string) The gateway that processed the original payment. A gateway is an online service provider that connects an online shopping cart to a payment processor. Zuora uses this same gateway for the corresponding refund. If this payment gateway is no longer active, then the electronic refund fails. - `data.account` (object) - `data.account.id` (string) The unique identifier of the account. - `data.account.createdById` (string) The unique identifier of the user who created the account. - `data.account.createdDate` (string) The date and time when the account was created. - `data.account.updatedById` (string) The unique identifier of the user who last updated the account. - `data.account.updatedDate` (string) The date and time when the account was last updated. - `data.account.accountNumber` (string) The account number that identifies the account. - `data.account.additionalEmailAddresses` (string) An additional email address to receive email notifications. - `data.account.allowInvoiceEdit` (boolean) Indicates whether associated invoices can be edited. - `data.account.autoPay` (boolean) Indicates whether future payments are automatically collected when they are due during a payment run. - `data.account.balance` (number) The customer's total invoice balance minus credit balance. - `data.account.batch` (string) The alias name given to a batch. A string of 50 characters or less. - `data.account.bcdSettingOption` (string) The billing cycle day setting option for the account. Enum: "ManualSet", "AutoSet" - `data.account.billCycleDay` (integer) Billing cycle day (BCD), the day of the month when a bill run generates invoices for the account. - `data.account.billToId` (string) The unique identifier of the bill-to contact associated with the account. - `data.account.communicationProfileId` (string) The unique identifier of the communication profile that Zuora uses when sending notifications to the account's contacts. - `data.account.creditBalance` (number) The current credit balance on the account. - `data.account.crmId` (string) External identifier of the account in a CRM system. - `data.account.currency` (string) A currency defined in the web-based UI administrative settings. - `data.account.customerServiceRepName` (string) Name of the account's customer service representative, if applicable. - `data.account.defaultPaymentMethodId` (string) ID of the default payment method for the account. - `data.account.eInvoiceProfileId` (string) ID of the e-invoice profile for this account. Note: This field is available only if you have the E-Invoicing feature in Early Adopter phase enabled. - `data.account.invoiceDeliveryPrefsEmail` (boolean) Indicates whether the customer wants to receive invoices through email. - `data.account.invoiceDeliveryPrefsPrint` (boolean) Whether the customer wants to receive printed invoices, such as through postal mail. - `data.account.invoiceTemplateId` (string) Invoice template ID, configured in Billing Settings in the Zuora UI. - `data.account.lastInvoiceDate` (string) Date of the most recent invoice for the account; null if no invoice has ever been generated. - `data.account.lastMetricsUpdate` (string) The date and time when account metrics are last updated, if the account is a partner account. Note: - This field is available only if you have the Reseller Account feature enabled. - If you ever set the partnerAccount field to true for an account, the value of lastMetricsUpdate field is the time when the account metrics are last updated. - `data.account.name` (string) The name of the account. - `data.account.notes` (string) A string of up to 65,535 characters. - `data.account.organizationId` (string) The unique identifier of the organization to which the account belongs. - `data.account.parentId` (string) Identifier of the parent customer account for this Account object. The length is 32 characters. Use this field if you have Customer Hierarchy enabled. - `data.account.partnerAccount` (boolean) Whether the customer account is a partner, distributor, or reseller. Note: This field is available only if you have the Reseller Account feature enabled. - `data.account.paymentMethodCascadingConsent` (boolean) true indicates the consent from your customer to use the Cascading Payment Method feature was collected. false indicates the consent was not collected and the Cascading Payment Method feature is not enabled. - `data.account.purchaseOrderNumber` (string) The purchase order number provided by your customer for services, products, or both purchased. - `data.account.salesRepName` (string) Name of the account's sales representative, if applicable. - `data.account.sequenceSetId` (string,null) The ID of the billing document sequence set to assign to the customer account. The billing documents to generate for this account will adopt the prefix and starting document number configured in the sequence set. If a customer account has no assigned billing document sequence set, billing documents generated for this account adopt the prefix and starting document number from the default sequence set. - `data.account.shipToId` (string) The unique identifier of the ship-to contact associated with the account. - `data.account.soldToId` (string) The unique identifier of the sold-to contact associated with the account. - `data.account.status` (string) The account status. Enum: "Active", "Draft", "Canceled" - `data.account.taxCompanyCode` (string) Unique code that identifies a company account in Avalara. Note: This feature is in Limited Availability. If you wish to have access to the feature, submit a request at [Zuora Global Support](https://support.zuora.com). - `data.account.taxExemptCertificateID` (string) ID of the customer tax exemption certificate. Applicable if you use Zuora Tax or Connect tax engines. - `data.account.taxExemptCertificateType` (string) Type of tax exemption certificate that the customer holds. Applicable if you use Zuora Tax or Connect tax engines. - `data.account.taxExemptDescription` (string) Description of the tax exemption certificate that the customer holds. Applicable if you use Zuora Tax or Connect tax engines. - `data.account.taxExemptEffectiveDate` (string) Date when the customer tax exemption starts, in YYYY-MM-DD format. Applicable if you use Zuora Tax or Connect tax engines. - `data.account.taxExemptEntityUseCode` (string) A unique entity use code to apply exemptions in Avalara AvaTax. See Exempt Transactions for more details. - `data.account.taxExemptExpirationDate` (string) Date when the customer tax exemption expires, in YYYY-MM-DD format. Applicable if you use Zuora Tax or Connect tax engines. - `data.account.taxExemptIssuingJurisdiction` (string) Jurisdiction in which the customer tax exemption certificate was issued. - `data.account.taxExemptStatus` (string) Status of the account tax exemption. Applicable if you use Zuora Tax or Connect tax engines. Required if you use Zuora Tax. Enum: "No", "Yes", "PendingVerification" - `data.account.totalInvoiceBalance` (number) Total balance of all posted invoices. - `data.account.unappliedBalance` (number) Total unapplied balance in this currency. - `data.account.vATId` (string) EU Value Added Tax ID. - `data.account.mrr` (number) Monthly recurring revenue for the account. - `data.account.totalDebitMemoBalance` (number) Total balance of all posted debit memos. - `data.account.unappliedCreditMemoAmount` (number) The total unapplied amount of all posted credit memos in this currency. - `data.account.creditMemoTemplateId` (string) ID of the credit memo template that is used to generate credit memos for the account. - `data.account.debitMemoTemplateId` (string) ID of the debit memo template that is used to generate debit memos for the account. - `data.account.paymentGateway` (string) The name of the payment gateway instance. If null or left unassigned, the account will use the default gateway. - `data.account.paymentTerm` (string) A payment-terms indicator defined in the web-based UI administrative settings, for example, Net 30. - `data.account.billTo` (object) The bill-to contact on this account. - `data.account.shipTo` (object) The ship-to contact on the account. - `data.account.soldTo` (object) The sold-to contact on the account. - `data.account.defaultPaymentMethod` (object) The default payment method associated with the account. - `data.account.subscriptions` (array) The subscriptions associated with the account. - `data.account.payments` (array) The payments associated with the account. - `data.account.refunds` (array) The refunds associated with the account. - `data.account.creditMemos` (array) The credit memos associated with the account. - `data.account.debitMemos` (array) The debit memos associated with the account. - `data.account.invoices` (array) The invoices associated with the account. - `data.account.usages` (array) The usage records associated with the account. - `data.account.paymentMethods` (array) The payment methods associated with the account. - `data.paymentMethod` (object) - `data.paymentMethod.id` (string) The unique identifier of the payment method. - `data.paymentMethod.createdById` (string) The unique identifier of the user who created the payment method. - `data.paymentMethod.createdDate` (string) The time that the payment method gets created in the system, in the YYYY-MM-DD HH:MM:SS format. - `data.paymentMethod.updatedById` (string) The unique identifier of the user who last updated the payment method. - `data.paymentMethod.updatedDate` (string) The time that the payment method gets updated in the system, in the YYYY-MM-DD HH:MM:SS format. - `data.paymentMethod.accountId` (string) The unique identifier of the account that the payment method is associated with. - `data.paymentMethod.achAbaCode` (string) The nine-digit routing number or ABA number used by banks. This field is only required if the type field is set to ACH. - `data.paymentMethod.achAccountName` (string) The name of the account holder, which can be either a person or a company. This field is only required if the type field is set to ACH. - `data.paymentMethod.achAccountNumberMask` (string) The masked bank account number associated with the ACH payment method. This field is only required if the type field is set to ACH. - `data.paymentMethod.achAccountType` (string) The type of bank account associated with the ACH payment method. This field is only required if the type field is set to ACH. When creating an ACH payment method on Adyen, this field is required by Zuora but it is not required by Adyen. To create the ACH payment method successfully, specify a real value for this field if you can. If it is not possible to get the real value for it, specify any of the allowed values as a dummy value, Checking preferably. Enum: "BusinessChecking", "Checking", "Saving" - `data.paymentMethod.achAddress1` (string) First address line for the ACH payment method. - `data.paymentMethod.achAddress2` (string) Second address line for the ACH payment method. - `data.paymentMethod.achBankName` (string) The name of the bank where the ACH payment account is held. When creating an ACH payment method on Adyen, this field is required by Zuora but it is not required by Adyen. To create the ACH payment method successfully, specify a real value for this field if you can. If it is not possible to get the real value for it, specify a dummy value. - `data.paymentMethod.achCity` (string) City for the ACH payment method. It is recommended to provide the city and country information when creating a payment method. The information will be used to process payments. If the information is not provided during payment method creation, the city and country data will be missing during payment processing. - `data.paymentMethod.achCountry` (string) Country for the ACH payment method. Must be a valid country name or abbreviation. See View countries or regions for the list of supported country names and abbreviations. It is recommended to provide the city and country information when creating a payment method. The information will be used to process payments. If the information is not provided during payment method creation, the city and country data will be missing during payment processing. - `data.paymentMethod.achPostalCode` (string) Zip code or postal code for the ACH payment method. - `data.paymentMethod.achState` (string) State for the ACH payment method. Must be a valid subregion (state or province) name or code. For more information, see View subregions of a specific country or region. - `data.paymentMethod.active` (boolean) Indicates whether the payment method type is active. This field is for Zuora internal use and does not impact customer integration or use cases. - `data.paymentMethod.isSystem` (boolean) Indicates whether the payment method is a system-generated payment method. This field is for Zuora internal use and does not impact customer integration or use cases. - `data.paymentMethod.bankBranchCode` (string) The branch code of the bank used for Direct Debit. - `data.paymentMethod.bankCheckDigit` (string) The check digit in the international bank account number, which confirms the validity of the account. Applicable to direct debit payment methods. - `data.paymentMethod.bankCity` (string) The city of the direct debit bank. - `data.paymentMethod.bankCode` (string) The sort code or number that identifies the bank. This is also known as the sort code. - `data.paymentMethod.bankIdentificationNumber` (string) The first six or eight digits of the payment method's number, such as the credit card number or account number. Banks use this number to identify a payment method. - `data.paymentMethod.bankName` (string) The name of the direct debit bank. - `data.paymentMethod.bankPostalCode` (string) The zip code or postal code of the direct debit bank. - `data.paymentMethod.bankStreetName` (string) The name of the street of the direct debit bank. - `data.paymentMethod.bankStreetNumber` (string) The number of the direct debit bank. - `data.paymentMethod.bankTransferAccountName` (string) The name on the direct debit bank account. - `data.paymentMethod.bankTransferAccountNumberMask` (string) This is a masked displayable version of the bank account number, used for security purposes. For example: XXXXXXXXX54321. - `data.paymentMethod.bankTransferAccountType` (string) The type of the customer's bank account. Applicable to direct debit payment methods. - `data.paymentMethod.bankTransferType` (string) Specifies the type of direct debit transfer. The value of this field is dependent on the country of the user. Possible Values: * AutomatischIncasso (NL) * LastschriftDE (Germany) * LastschriftAT (Austria) * DemandeDePrelevement (FR) * DirectDebitUK (UK) * Domicil (Belgium) * LastschriftCH (CH) * RID (Italy) * OrdenDeDomiciliacion (Spain) * Autogiro (Sweden) * Betalingsservice (Denmark) Enum: "AutomatischIncasso", "LastschriftDE", "LastschriftAT", "DemandeDePrelevement", "DirectDebitUK", "Domicil", "LastschriftCH", "RID", "OrdenDeDomiciliacion", "Autogiro", "Betalingsservice" - `data.paymentMethod.businessIdentificationCode` (string) The business identification code for Swiss direct payment methods that use the Global Collect payment gateway. Only applicable to direct debit payment methods in Switzerland with Global Collect. - `data.paymentMethod.city` (string) The city of the customer's address. Applicable to debit payment methods. - `data.paymentMethod.country` (string) The two-letter country code of the customer's address. Applicable to direct debit payment methods. - `data.paymentMethod.creditCardAddress1` (string) The first line of the card holder's address, which is often a street address or business name. Applicable to credit card and direct debit payment methods. - `data.paymentMethod.creditCardAddress2` (string) The second line of the card holder's address. Applicable to credit card and direct debit payment methods. - `data.paymentMethod.creditCardCity` (string) The city of the card holder's address. Applicable to credit card and direct debit payment methods. - `data.paymentMethod.creditCardCountry` (string) The country where the credit card holder stays. When creating a payment method through a translated UI or Payment Page, a country name in a translated language might be selected. Regardless of the country texts selected when creating the payment method, only the supported country name returns in this field. For a complete list of supported country names, see View countries or regions. Internationalization is not supported for the API field value. - `data.paymentMethod.creditCardExpirationMonth` (integer) One or two digits expiration month. - `data.paymentMethod.creditCardExpirationYear` (integer) Four-digit expiration year. - `data.paymentMethod.creditCardHolderName` (string) The full name of the credit card holder. - `data.paymentMethod.creditCardMaskNumber` (string) The masked credit card number, such as *1112. - `data.paymentMethod.creditCardPostalCode` (string) The postal code for the address of the credit card holder. - `data.paymentMethod.creditCardState` (string) The state where the credit card holder stays. - `data.paymentMethod.creditCardType` (string) The type of the credit card or debit card. Possible values include Visa, MasterCard, AmericanExpress, Discover, JCB, and Diners. For more information about credit card types supported by different payment gateways, see [Supported Payment Gateways](https://knowledgecenter.zuora.com/CB_Billing/M_Payment_Gateways/Supported_Payment_Gateways). Note: This field is only returned for the Credit Card and Debit Card payment types. - `data.paymentMethod.deviceSessionId` (string) The session ID of the user when the PaymentMethod was created or updated. - `data.paymentMethod.existingMandate` (string) Indicates whether the mandate is an existing mandate. Enum: "Yes", "No" - `data.paymentMethod.email` (string) The email address of the payment method holder. - `data.paymentMethod.firstName` (string) The customer's first name. Only applicable to direct debit payment methods. - `data.paymentMethod.iBAN` (string) The International Bank Account Number used to create the SEPA payment method. The value is masked. - `data.paymentMethod.iPAddress` (string) The IP address of the user when the payment method was created or updated. - `data.paymentMethod.identityNumber` (string) The identity number of the account holder or the cardholder. - `data.paymentMethod.companyName` (string) The name of the company. - `data.paymentMethod.isCompany` (boolean) Whether the customer account is a company. - `data.paymentMethod.lastFailedSaleTransactionDate` (string) The date of the last failed attempt to collect payment with this payment method. - `data.paymentMethod.lastName` (string) The customer's last name. Only applicable to direct debit payment methods. - `data.paymentMethod.lastTransactionDateTime` (string) The date and time of the most recent transaction. - `data.paymentMethod.lastTransactionStatus` (string) The status of the most recent transaction. - `data.paymentMethod.mandateCreationDate` (string) The date on which the mandate was created. - `data.paymentMethod.mandateId` (string) The mandate ID. - `data.paymentMethod.mandateReason` (string) The reason of the mandate from the gateway side. - `data.paymentMethod.mandateReceived` (string) Indicates whether the mandate is received from the gateway. Enum: "Yes", "No" - `data.paymentMethod.mandateStatus` (string) The status of the mandate from the gateway side. - `data.paymentMethod.mandateUpdateDate` (string) The date on which the mandate was updated. - `data.paymentMethod.maxConsecutivePaymentFailures` (integer) The number of allowable consecutive failures Zuora attempts with the payment method before stopping. - `data.paymentMethod.name` (string) The name of the payment method. - `data.paymentMethod.numConsecutiveFailures` (integer) The number of consecutive failed payments for this payment method. It is reset to 0 upon successful payment. - `data.paymentMethod.paymentMethodStatus` (string) The status of the payment method. Enum: "Active", "Closed", "Scrubbed" - `data.paymentMethod.paymentRetryWindow` (integer) The retry interval setting, which prevents making a payment attempt if the last failed attempt was within the last specified number of hours. - `data.paymentMethod.paypalBaid` (string) ID of a PayPal billing agreement. Example: "I-1TJ3GAGG82Y9" - `data.paymentMethod.paypalEmail` (string) Email address associated with the PayPal payment method. - `data.paymentMethod.paypalPreapprovalKey` (string) The PayPal preapproval key. - `data.paymentMethod.paypalType` (string) The type of the PayPal payment method. - `data.paymentMethod.phone` (string) The phone number that the account holder registered with the bank. This field is used for credit card validation when passing to a gateway. - `data.paymentMethod.postalCode` (string) The zip code of the customer's address. Only applicable to direct debit payment methods. - `data.paymentMethod.secondTokenId` (string) A gateway unique identifier that replaces sensitive payment method data. Note: This field is only returned for the Credit Card Reference Transaction payment type. - `data.paymentMethod.state` (string) The state of the customer's address. Only applicable to direct debit payment methods. - `data.paymentMethod.streetName` (string) The street name of the customer's address. Only applicable to direct debit payment methods. - `data.paymentMethod.streetNumber` (string) The street number of the customer's address. Only applicable to direct debit payment methods. - `data.paymentMethod.tokenId` (string) A gateway unique identifier that replaces sensitive payment method data or represents a gateway's unique customer profile. Applicable to CC Reference Transaction payment methods. - `data.paymentMethod.totalNumberOfErrorPayments` (integer) The number of error payments that used this payment method. - `data.paymentMethod.totalNumberOfProcessedPayments` (integer) The number of successful payments that used this payment method. - `data.paymentMethod.type` (string) The type of the payment method. For example, CreditCard. - `data.paymentMethod.useDefaultRetryRule` (boolean) Indicates whether this payment method uses the default retry rules configured in the Zuora Payments settings. - `data.paymentMethod.methodReferenceId` (string) The identification reference of the custom payment method. This field should be mapped to a field name defined in the fields array for the purpose of being used as a filter in reporting tools such as Payment Method Data Source Exports and Data Query. - `data.paymentMethod.userReferenceId` (string) The identification reference of the user or customer account. This field should be mapped to a field name defined in the fields array for the purpose of being used as a filter in reporting tools such as Data Source Exports and Data Query. - `data.paymentMethod.subType` (string) The identification reference indicating the subtype of the custom payment method. This field should be mapped to a field name defined in the fields array for the purpose of being used as a filter in reporting tools such as Data Source Exports and Data Query. - `data.paymentMethod.methodSpecificData` (string) Other method-specific data of the payment method. - `data.paymentMethod.cardBrand` (string) The card brand, such as Visa and MasterCard. - `data.paymentMethod.cardClass` (string) The type of the card. Enum: "ChargeCard", "Credit", "Debit", "DeferredDebit", "Prepaid" - `data.paymentMethod.cardIssuingBank` (string) The issuer bank of the card, such as JPMORGAN CHASE BANK N.A.. - `data.paymentMethod.cardIssuingCountry` (string) The issuing country code of the card, such as US. - `data.paymentMethod.cardProductType` (string) The product type of the card. Enum: "Commercial_or_Corporate_Card", "Consumer_Card" - `data.paymentMethod.account` (object) The account to which the payment method belongs. - `data.refundApplications` (array) - `data.refundApplications.id` (string) The unique identifier of the refund application. - `data.refundApplications.createdById` (string) The unique identifier of the user who created the refund application. - `data.refundApplications.createdDate` (string) The date and time when the refund application was created. - `data.refundApplications.updatedById` (string) The unique identifier of the user who last updated the refund application. - `data.refundApplications.updatedDate` (string) The date and time when the refund application was last updated. - `data.refundApplications.accountId` (string) The ID of the account associated with this refund application. - `data.refundApplications.applicationGroupId` (string) The ID of the application group to which this payment application belongs. - `data.refundApplications.applyAmount` (number) The total amount of the refund to be applied. - `data.refundApplications.creditMemoId` (string) The unique identifier of the credit memo to which the associated payment was applied. - `data.refundApplications.effectiveDate` (string) The date when the refund application becomes effective. - `data.refundApplications.invoiceId` (string) The unique identifier of the invoice to which the associated payment was applied. - `data.refundApplications.paymentId` (string) The unique identifier of the payment associated with the refund application. - `data.refundApplications.refundId` (string) The unique identifier of the refund associated with the refund application. - `data.refundApplications.accountReceivableAccountingCodeId` (string) The Account Receivable accounting code of a standalone charge. - `data.refundApplications.onAccountAccountingCodeId` (string) The accounting code that maps to an on account in your accounting system. - `data.refundApplications.unappliedPaymentAccountingCodeId` (string) The accounting code for the unapplied payment. - `data.refundApplications.cashAccountingCodeId` (string) The accounting code for cash payments. - `data.refundApplications.journalEntryId` (string) The ID of the journal entry that corresponds to this transaction. - `data.refundApplications.refund` (object) The refund associated with the refund application. - `data.refundApplications.payment` (object) The payment associated with the refund application. - `data.refundApplications.refundApplicationItems` (array) The refund application items contained in the refund application. ## Response 500 fields (application/json): - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (integer) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) The unique identifier of the request. ## Response 4XX fields (application/json): - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (integer) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) The unique identifier of the request.